> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/reference/datasets/samples.md).

# Samples

Some datasets include a 1% [data](/reference/datasets/data.md) sample, which supports faster exploratory queries for very large tables. Datasets can also have fewer [access](/reference/data-access.md) restrictions to the sample than the full dataset.

## Methodology

Sampling is applied independently to each version of a dataset. Samples can either be a random sample applied to all tables in the dataset, or a sample created on a variable which will be applied to all tables in the dataset that contain that variable.

## Usage

You can see if a sample exists on a dataset and how the sample was created in the right bar next to the list of tables. The tables list can also be filtered to see which tables have a sample. If you only have [sample access](/reference/data-access/access-levels.md) to this dataset you might see a **Sample** tag next to table names, which means you are looking at the sampled table of data.

When adding a dataset to a [workflow](/reference/workflows.md), the dataset will always default to the sample if one exists. A dataset can be [switched](/reference/workflows/data-sources.md) between the sample and the full data at any time.

*For editors:* [*How to create a sample*](/reference/datasets/create-and-edit-datasets/create-a-sample.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/reference/datasets/samples.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
